View Issue Details

IDProjectCategoryView StatusLast Update
0000878SketcherBugpublic2013-06-29 15:23
ReporterjrheinlaenderAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000878: Sketcher: Ctrl-right mouse button moves the sketch, but after releasing the button the right-click menu pops up
DescriptionI open any sketch. Then I do Ctrl-right mouse button (keep it pressed down) and move the sketch. As soon as I release the mouse button, the context menu pops up, just as if I had done a right-click.

Additional InformationCurrent master version, Ubuntu 12.04, OCE

P.S. Why can't I choose version 0.13 in this bug tracker?
TagsNo tags attached.

Activities

Jriegel

2012-11-15 17:59

administrator   ~0002529

You cant choose 0.13 bacause its not released....

And I can not reproduce this bug!?
What mouse model you are using?

jrheinlaender

2012-11-16 03:20

developer   ~0002536

Lenovo R52 built-in trackpoint

wmayer

2012-11-16 09:29

administrator   ~0002539

It only happens with CAD navigation style

wmayer

2013-06-29 15:23

administrator   ~0003297

I don't know by which commit it has been fixed. But it works now.

Issue History

Date Modified Username Field Change
2012-11-15 14:04 jrheinlaender New Issue
2012-11-15 17:59 Jriegel Note Added: 0002529
2012-11-15 17:59 Jriegel Status new => feedback
2012-11-16 03:20 jrheinlaender Note Added: 0002536
2012-11-16 09:29 wmayer Note Added: 0002539
2012-11-16 09:29 wmayer Status feedback => confirmed
2012-11-17 20:30 yorik Project FreeCAD => Sketcher
2013-06-29 15:23 wmayer Note Added: 0003297
2013-06-29 15:23 wmayer Status confirmed => closed
2013-06-29 15:23 wmayer Resolution open => fixed
2013-06-29 15:23 wmayer Fixed in Version => 0.14